﻿a.no-link {
    text-decoration: none !important;
    cursor: pointer;
}

.input-group {
    flex-wrap: nowrap !important;
}

a.no-link:hover {
    text-decoration: none !important;
}

.animate__faster {
    --animate-duration: 0.4s;
}

.dropdown-item i {
    margin-right: 10px;
}

pre code {
    white-space: inherit;
    padding: 0;
    background-color: transparent;
}

body,
html {
    text-rendering: optimizeLegibility;
    -ms-overflow-style: scrollbar;
    -webkit-tap-highlight-color: transparent;
}

a {
    transition: color 0.2s ease-in;
}

dt {
    color: #31343B;
}

.umbler-logo svg {
    vertical-align: middle;
    width: 32px;
    height: 32px;
}

/*HOME*/

.icon-custom-recharge {
    background: transparent url("/images/icon-custom-recharge.svg") 0% 0% no-repeat padding-box;
    vertical-align: text-top;
}

    .icon-custom-recharge.success {
        background: transparent url("/images/icon-custom-recharge-success.svg") 0% 0% no-repeat padding-box;
        vertical-align: text-top;
    }

.divider {
    display: table;
    white-space: nowrap;
    height: auto;
    line-height: 1;
    margin: 1rem 0;
}

    .divider:before {
        background-position: right 1em top 50%;
    }

    .divider:after {
        background-position: left 1em top 50%;
    }

    .divider:after,
    .divider:before {
        content: "";
        display: table-cell;
        position: relative;
        top: 50%;
        width: 50%;
        background-repeat: no-repeat;
        background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAA+gAAAABAQMAAAB3zhZwAAAAA1BMVEXf5fJRFdtOAAAAC0lEQVQI12MYUAAAAH4AAasqQLMAAAAASUVORK5CYII=);
    }

/* _content/Umbler.UTalk.Shared/Shared/Components/ProfilePicture.razor.rz.scp.css */

.img-inside > div input[type="text"] {
    padding-right: 46px;
}

.img-inside img {
    position: absolute;
    top: 48px;
    right: 38px;
}

.focus-none:focus {
    box-shadow: unset;
}

[data-bs-theme=dark] .dark-color-text {
    color: #fff;
}

[data-bs-theme=light] .dark-color-text {
    color: #31343B;
}

[data-bs-theme=light] .umbler-talk-logo-path {
    filter: invert(0%);
}

[data-bs-theme=dark] .umbler-talk-logo-path {
    filter: invert(100%);
}

.card-header-fixed {
    z-index: 99;
    position: sticky;
    width: 100%;
    top: 0;
}

[data-bs-theme=light] .white-btn {
    padding: 16px 32px;
    border-radius: 12px;
    background: white;
    color: #0b0b0d;
    font-weight: 600;
    font-size: 18px;
    line-height: 27px;
    border: 2px solid rgba(11, 11, 13, 0.14);
}

    [data-bs-theme=light] .white-btn:hover {
        background: #f0f4ff;
        border: 2px solid #4d72ec;
        color: #0b0b0d;
        font-weight: 600;
        font-size: 18px;
    }

    [data-bs-theme=light] .white-btn:disabled,
    [data-bs-theme=light] .white-btn[disabled] {
        border: 2px solid #dedfe0;
        border-radius: 12px;
        color: #acadad;
        font-weight: 600;
        font-size: 18px;
    }

[data-bs-theme=dark] .white-btn {
    padding: 16px 32px;
    color: #ffffff;
    font-weight: 600;
    font-size: 18px;
    line-height: 27px;
    border-radius: 12px;
    border: 2px solid rgb(255 255 255 / 30%);
}

    [data-bs-theme=dark] .white-btn:hover {
        border: 2px solid rgb(255 255 255 / 30%);
        color: #ffffff;
        font-weight: 600;
        font-size: 18px;
    }

    [data-bs-theme=dark] .white-btn:disabled,
    [data-bs-theme=dark] .white-btn[disabled] {
        border: 2px solid rgb(255 255 255 / 30%);
        border-radius: 12px;
        color: #ffffff;
        font-weight: 600;
        font-size: 18px;
    }

.is-invalid ~ .invalid-feedback {
    display: block !important;
}

#input-password.is-invalid ~ #toggle-password {
    padding-right: 20px;
}

[data-bs-theme=light] .btn-custom-outline {
    background-color: white;
    border: 2px solid var(--bs-secondary) !important;
    transition: all 0.3s ease;
}

    [data-bs-theme=light] .btn-custom-outline:hover {
        border-color: var(--bs-primary) !important;
        color: var(--bs-primary) !important;
    }

[data-bs-theme=dark] .btn-custom-outline {
    background-color: black !important;
    border: 2px solid var(--bs-secondary) !important;
    transition: all 0.3s ease;
}

    [data-bs-theme=dark] .btn-custom-outline:hover {
        border-color: var(--bs-primary) !important;
        color: var(--bs-primary) !important;
    }

[data-bs-theme=dark] select.form-select {
    background-color: var(--bg-secondary);
}